diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/test/wifi-transmit-mask-test.cc ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc
--- ns-3.42/src/wifi/test/wifi-transmit-mask-test.cc	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wifi/test/wifi-transmit-mask-test.cc	2024-10-09 16:41:10.140657000 -0700
@@ -952,6 +981,152 @@
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
                                                160,
+                                               {5250},
+                                               maskSlopes,
+                                               tol,
+                                               prec),
+                TestCase::Duration::QUICK);
+
+    // ============================================================================================
+    // 11ax 80+80MHz @ 5GHz
+    NS_LOG_FUNCTION("Check slopes for 11ax 80+80MHz @ 5GHz");
+    maskSlopes = {
+        std::make_pair(0, -40.0),      // Outer band left (start)
+        std::make_pair(511, -28.023),  // Outer band left (stop)
+        std::make_pair(512, -28.000),  // Middle band left (start)
+        std::make_pair(1017, -20.016), // Middle band left (stop)
+        std::make_pair(1018, -20.0),   // Flat junction band left (start)
+        std::make_pair(1022, -20.0),   // Flat junction band left (stop)
+        std::make_pair(1023, -20.0),   // Inner band left for first segment (start)
+        std::make_pair(1035, -1.538),  // Inner band left for first segment (stop)
+        std::make_pair(1036, 0.0),     // allocated band left for first segment (start)
+        std::make_pair(1533, 0.0),     // allocated band left for first segment (stop)
+        std::make_pair(1534, -20.0),   // DC band for first segment (start)
+        std::make_pair(1538, -20.0),   // DC band for first segment (stop)
+        std::make_pair(1539, 0.0),     // allocated band right for first segment (start)
+        std::make_pair(2036, 0.0),     // allocated band right for first segment (stop)
+        std::make_pair(2037, -1.538),  // Inner band right for first segment (start)
+        std::make_pair(2049, -20.0),   // Inner band right for first segment (stop)
+        std::make_pair(2050, -20.0),   // Flat junction band right for first segment (start)
+        std::make_pair(2054, -20.0),   // Flat junction band right for first segment (stop)
+        std::make_pair(2055, -20.01), // start linear sum region left (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(2055, -20.01), // start linear sum region left (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(2559, -24.99), // stop linear sum region left (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(2559, -24.99), // stop linear sum region left (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(2560, -25.0),  // middle linear sum region (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(2560, -25.0),  // middle linear sum region (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(2561, -24.99), // start linear sum region right (no interpolation possible,
+                                      // so provide 2 times the same point)
+        std::make_pair(2561, -24.99), // start linear sum region right (no interpolation possible,
+                                      // so provide 2 times the same point)
+        std::make_pair(3065, -20.01), // stop linear sum region right (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(3065, -20.01), // stop linear sum region right (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(3066, -20.0),  // Flat junction band left (start)
+        std::make_pair(3070, -20.0),  // Flat junction band left (stop)
+        std::make_pair(3071, -20.0),  // Inner band left for second segment (start)
+        std::make_pair(3083, -1.538), // Inner band left for second segment (stop)
+        std::make_pair(3084, 0.0),    // allocated band left for second segment (start)
+        std::make_pair(3581, 0.0),    // allocated band left for second segment (stop)
+        std::make_pair(3582, -20.0),  // DC band for second segment (start)
+        std::make_pair(3586, -20.0),  // DC band for second segment (stop)
+        std::make_pair(3587, 0.0),    // allocated band right for second segment (start)
+        std::make_pair(4084, 0.0),    // allocated band right for second segment (stop)
+        std::make_pair(4085, -1.538), // Inner band right for second segment (start)
+        std::make_pair(4097, -20.0),  // Inner band right for second segment (stop)
+        std::make_pair(4098, -20.0),  // Flat junction band right (start)
+        std::make_pair(4102, -20.0),  // Flat junction band right (stop)
+        std::make_pair(4103, -20.016), // Middle band right (start)
+        std::make_pair(4608, -28.000), // Middle band right (stop)
+        std::make_pair(4609, -28.023), // Outer band right (start)
+        std::make_pair(5120, -40.0),   // Outer band right (stop)
+    };
+
+    AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 80+80MHz",
+                                               WIFI_STANDARD_80211ax,
+                                               WIFI_PHY_BAND_5GHZ,
+                                               160,
+                                               {5530, 5690},
+                                               maskSlopes,
+                                               tol,
+                                               prec),
+                TestCase::Duration::QUICK);
+
+    // ============================================================================================
+    // 11ax 80+80MHz @ 5GHz
+    NS_LOG_FUNCTION("Check slopes for 11ax 80+80MHz @ 5GHz with larger frequency separation "
+                    "between the two PSDs");
+    maskSlopes = {
+        std::make_pair(0, -40.0),      // Outer band left (start)
+        std::make_pair(511, -28.023),  // Outer band left (stop)
+        std::make_pair(512, -28.000),  // Middle band left (start)
+        std::make_pair(1017, -20.016), // Middle band left (stop)
+        std::make_pair(1018, -20.0),   // Flat junction band left (start)
+        std::make_pair(1022, -20.0),   // Flat junction band left (stop)
+        std::make_pair(1023, -20.0),   // Inner band left for first segment (start)
+        std::make_pair(1035, -1.538),  // Inner band left for first segment (stop)
+        std::make_pair(1036, 0.0),     // allocated band left for first segment (start)
+        std::make_pair(1533, 0.0),     // allocated band left for first segment (stop)
+        std::make_pair(1534, -20.0),   // DC band for first segment (start)
+        std::make_pair(1538, -20.0),   // DC band for first segment (stop)
+        std::make_pair(1539, 0.0),     // allocated band right for first segment (start)
+        std::make_pair(2036, 0.0),     // allocated band right for first segment (stop)
+        std::make_pair(2037, -1.538),  // Inner band right for first segment (start)
+        std::make_pair(2049, -20.0),   // Inner band right for first segment (stop)
+        std::make_pair(2050, -20.0),   // Flat junction band right for first segment (start)
+        std::make_pair(2054, -20.0),   // Flat junction band right for first segment (stop)
+        std::make_pair(2055, -20.01), // start linear sum region left (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(2055, -20.01), // start linear sum region left (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(3583, -24.99), // stop linear sum region left (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(3583, -24.99), // stop linear sum region left (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(3584, -25.0),  // middle linear sum region (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(3584, -25.0),  // middle linear sum region (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(3585, -24.99), // start linear sum region right (no interpolation possible,
+                                      // so provide 2 times the same point)
+        std::make_pair(3585, -24.99), // start linear sum region right (no interpolation possible,
+                                      // so provide 2 times the same point)
+        std::make_pair(5113, -20.01), // stop linear sum region right (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(5113, -20.01), // stop linear sum region right (no interpolation possible, so
+                                      // provide 2 times the same point)
+        std::make_pair(5114, -20.0),  // Flat junction band left (start)
+        std::make_pair(5118, -20.0),  // Flat junction band left (stop)
+        std::make_pair(5119, -20.0),  // Inner band left for second segment (start)
+        std::make_pair(5131, -1.538), // Inner band left for second segment (stop)
+        std::make_pair(5132, 0.0),    // allocated band left for second segment (start)
+        std::make_pair(5629, 0.0),    // allocated band left for second segment (stop)
+        std::make_pair(5630, -20.0),  // DC band for second segment (start)
+        std::make_pair(5634, -20.0),  // DC band for second segment (stop)
+        std::make_pair(5635, 0.0),    // allocated band right for second segment (start)
+        std::make_pair(6132, 0.0),    // allocated band right for second segment (stop)
+        std::make_pair(6133, -1.538), // Inner band right for second segment (start)
+        std::make_pair(6145, -20.0),  // Inner band right for second segment (stop)
+        std::make_pair(6146, -20.0),  // Flat junction band right (start)
+        std::make_pair(6150, -20.0),  // Flat junction band right (stop)
+        std::make_pair(6151, -20.016), // Middle band right (start)
+        std::make_pair(6656, -28.000), // Middle band right (stop)
+        std::make_pair(6657, -28.023), // Outer band right (start)
+        std::make_pair(7168, -40.0),   // Outer band right (stop)
+    };
+
+    AddTestCase(new WifiOfdmMaskSlopesTestCase("11ax_5GHz 80+80MHz large separation",
+                                               WIFI_STANDARD_80211ax,
+                                               WIFI_PHY_BAND_5GHZ,
+                                               160,
+                                               {5210, 5530},
                                                maskSlopes,
                                                tol,
                                                prec),
@@ -991,6 +1166,7 @@
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
                                                80,
+                                               {5210},
                                                maskSlopes,
                                                tol,
                                                prec,
@@ -1035,6 +1211,7 @@
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
                                                80,
+                                               {5210},
                                                maskSlopes,
                                                tol,
                                                prec,
@@ -1079,6 +1256,7 @@
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
                                                80,
+                                               {5210},
                                                maskSlopes,
                                                tol,
                                                prec,
@@ -1119,6 +1297,7 @@
                                                WIFI_STANDARD_80211ax,
                                                WIFI_PHY_BAND_5GHZ,
                                                80,
+                                               {5210},
                                                maskSlopes,
                                                tol,
                                                prec,
@@ -1167,6 +1346,7 @@
                                        WIFI_STANDARD_80211ax,
                                        WIFI_PHY_BAND_5GHZ,
                                        160,
+                                       {5250},
                                        maskSlopes,
                                        tol,
                                        prec,
@@ -1217,6 +1397,7 @@
                                        WIFI_STANDARD_80211ax,
                                        WIFI_PHY_BAND_5GHZ,
                                        160,
+                                       {5250},
                                        maskSlopes,
                                        tol,
                                        prec,
@@ -1267,6 +1448,7 @@
                                        WIFI_STANDARD_80211ax,
                                        WIFI_PHY_BAND_5GHZ,
                                        160,
+                                       {5250},
                                        maskSlopes,
                                        tol,
                                        prec,
@@ -1315,6 +1497,7 @@
                                        WIFI_STANDARD_80211ax,
                                        WIFI_PHY_BAND_5GHZ,
                                        160,
+                                       {5250},
                                        maskSlopes,
                                        tol,
                                        prec,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wifi/test/wifi-txop-test.cc ns-3.43/src/wifi/test/wifi-txop-test.cc
--- ns-3.42/src/wifi/test/wifi-txop-test.cc	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wifi/test/wifi-txop-test.cc	2024-10-09 16:41:10.140657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2020 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
@@ -331,7 +320,7 @@
     }
 
     // Assign fixed streams to random variables in use
-    wifi.AssignStreams(m_apDevices, streamNumber);
+    WifiHelper::AssignStreams(m_apDevices, streamNumber);
 
     MobilityHelper mobility;
     Ptr<ListPositionAllocator> positionAlloc = CreateObject<ListPositionAllocator>();
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/examples/wimax-ipv4.cc ns-3.43/src/wimax/examples/wimax-ipv4.cc
--- ns-3.42/src/wimax/examples/wimax-ipv4.cc	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wimax/examples/wimax-ipv4.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/examples/wimax-multicast.cc ns-3.43/src/wimax/examples/wimax-multicast.cc
--- ns-3.42/src/wimax/examples/wimax-multicast.cc	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wimax/examples/wimax-multicast.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/examples/wimax-simple.cc ns-3.43/src/wimax/examples/wimax-simple.cc
--- ns-3.42/src/wimax/examples/wimax-simple.cc	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wimax/examples/wimax-simple.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  *  Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
  *                              <amine.ismail@udcast.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/helper/wimax-helper.cc ns-3.43/src/wimax/helper/wimax-helper.cc
--- ns-3.42/src/wimax/helper/wimax-helper.cc	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wimax/helper/wimax-helper.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/helper/wimax-helper.h ns-3.43/src/wimax/helper/wimax-helper.h
--- ns-3.42/src/wimax/helper/wimax-helper.h	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wimax/helper/wimax-helper.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDCAST
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/bandwidth-manager.cc ns-3.43/src/wimax/model/bandwidth-manager.cc
--- ns-3.42/src/wimax/model/bandwidth-manager.cc	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wimax/model/bandwidth-manager.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/bandwidth-manager.h ns-3.43/src/wimax/model/bandwidth-manager.h
--- ns-3.42/src/wimax/model/bandwidth-manager.h	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wimax/model/bandwidth-manager.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/bs-link-manager.cc ns-3.43/src/wimax/model/bs-link-manager.cc
--- ns-3.42/src/wimax/model/bs-link-manager.cc	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wimax/model/bs-link-manager.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/bs-link-manager.h ns-3.43/src/wimax/model/bs-link-manager.h
--- ns-3.42/src/wimax/model/bs-link-manager.h	2024-05-29 15:29:47.220074000 -0700
+++ ns-3.43/src/wimax/model/bs-link-manager.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/bs-net-device.cc ns-3.43/src/wimax/model/bs-net-device.cc
--- ns-3.42/src/wimax/model/bs-net-device.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/bs-net-device.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008,2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/bs-net-device.h ns-3.43/src/wimax/model/bs-net-device.h
--- ns-3.42/src/wimax/model/bs-net-device.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/bs-net-device.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008, 2009 INRIA, UDcast
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  *          Mohamed Amine Ismail <amine.ismail@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/bs-scheduler.cc ns-3.43/src/wimax/model/bs-scheduler.cc
--- ns-3.42/src/wimax/model/bs-scheduler.cc	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/bs-scheduler.cc	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/wimax/model/bs-scheduler.h ns-3.43/src/wimax/model/bs-scheduler.h
--- ns-3.42/src/wimax/model/bs-scheduler.h	2024-05-29 15:29:47.224074000 -0700
+++ ns-3.43/src/wimax/model/bs-scheduler.h	2024-10-09 16:41:10.144657000 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007,2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Jahanzeb Farooq <jahanzeb.farooq@sophia.inria.fr>
  */
